//This JSON was modified by AgentMindStorm (@agentms_) and Rainvay_ZCYF (@ZouChenyunfei). Please do not use this document without permission.
{
  "format_version": "1.8.0",
  "render_controllers": {
    "controller.render.experience_orb": {
      "geometry": "Geometry.default",
      "materials": [ { "*": "Material.default" } ],
      "textures": [ "Texture.default" ],
      "overlay_color": {
        "r": "(Math.clamp(Math.sin(query.life_time * 640.0) * 1.5, -1.0 ,1.0) + 1.0) * 0.5 * (0.8 - math.abs(query.camera_rotation(0)/200))",
        "g": "(1 - (Math.clamp(Math.sin(query.life_time * 640.0)*1.5, -1.0 ,1.0) + 1.0) * 0.1) * (0.8 - math.abs(query.camera_rotation(0)/200))",
        "b": "0.0",
        "a": "0.6"
      },
      "ignore_lighting": false,
      "uv_anim": {
        "offset": [ "variable.u", "variable.v" ],
        "scale": [ 1.0, 1.0 ]
      },
      "is_hurt_color": {
        "r": "0.0",
        "g": "0.0",
        "b": "0.0",
        "a": "0.0"
      },
      "on_fire_color": {
        "r": "0.0",
        "g": "0.0",
        "b": "0.0",
        "a": "0.0"
      }
    }
  }
}